<?php

function gmap_static_config($form, &$form_state) {
   $replace_iframe_to = array(
    'computer' => t('Desktop preferences'),
    'mobile'  =>  t('Mobile preferences'),
  );
  $replace_iframe_options = array(
    'none' => t('Do nothing.'),
    'popup_map' => t('Change iframe to static map. Switchable to fullscreen popup.'),
    'change_condition' => t('Change iframe to static map. Switchable back to iframe.'),
    'in_new_window' => t('Change iframe to static map. Display Iframe in a new window.'),
  ); 
  $table_headers = array("View Mode") + $replace_iframe_to;
  $form['table'] = array(
    '#theme' => 'table',
    '#header' => $table_headers,
  );
  foreach ($replace_iframe_options as $option => $option_description) {
    $cell = array(
      'data' => array( 
        '#type' => 'item',
        '#description' => $option_description,
        '#title' => ucfirst(str_replace("_", " ", $option)), 
      )
    );
    $form['table']['#rows'][$option][] = $cell;
    foreach ($replace_iframe_to as $device => $device_description) {
      $cell = array(
        'data' => array( 
        '#type' => 'radio',
        '#name' => $device,
        '#attributes' => array ('value' => $option), 
        )
      );
      $default_option = variable_get('gmap_static_view_mode_' . $device, 'none');
      if ($default_option == $option) {
        $cell['data']['#attributes']['checked'] = 'checked';
      }
      $form['table']['#rows'][$option][] = $cell;
    }
  }
  $form['submit'] = array('#type' => 'submit', '#value' => t('Save'));
  return $form;
}

function gmap_static_config_submit($form, &$form_state) { 
  foreach ($form_state['input'] as $device => $device_description) {
    variable_set('gmap_static_view_mode_' . $device, $device_description);
  }
}